# EditFlag_loader.rb
#
# v 2.2.0
#
# ***********************************
# ***********************************
# **   DO NOT SCRAMBLE THIS FILE   **
# ***********************************
# ***********************************
#
# NOTE TO USERS:
# If you change any variables, make a backup of this file.
# Later updates may override your changes.

module CoastalConcepts # <--<<< Ash Scott's top level namespace
 
  module EditFlag  # <--<<< this plugin's sub namespace
  
    ABSPATH = File.dirname(__FILE__)

    ### Module Variables
    #
    @@topmenu = "Edit" # change to "Plugins" if desired
    @@remind  = true   # change to false for no reminders
    
    @@say = { # These strings can be language localized:
              # Save file in UTF-8 without BOM if needed !!
      :menuitem => 'Show Edit Instance Warning',
      :caption  => ' Warning!',
      :warn_c => "Editing %d component instances !",
      :warn_g => "Editing %d group instances !",
      :remind => "Edit Instance Warning is OFF.\n\nSwitch warning flag ON ?"
    }

  end # module EditFlag

end # module CoastalConcepts

langfile = File.join( CoastalConcepts::EditFlag::ABSPATH, "EditFlag_#{Sketchup.get_locale}.rb" )

#langfile = File.join( CoastalConcepts::EditFlag::ABSPATH, "EditFlag_pt-BR.rb" ) # force test ONLY

require(langfile) if File.exists?(langfile)

# Loads EditFlag script in case it's scrambled:
#
Sketchup.require("CoastalConcepts_EditFlag/EditFlag")
